# reverse

### Synopsis

    template<
          typename Sequence
        >
    struct reverse
    {
        typedef implementation-defined type;
    };

### Description

[to do]

### Definition

    #include "boost/mpl/reverse.hpp"

### Parameters

Parameter | Requirement | Description | Default argument
--- | --- | --- | ---
`Param` | A model of Concept | [to do] | [to do]

### Members

Member | Description
--- | ---
`type` | [to do]

### Complexity

[to do]

### Example

    [to do]

### See also

Algorithms, `fold`, `fold_reverse`

Table of Content | Reference
Last edited February 19, 2002 4:11 am